Skip to Content
veriom

GitHub auth start

POST
/v1/github/auth/start

Request Body

application/json
  1. body
intent?Intent

sign_in (the /login button) only signs into an account already linked to this GitHub account, or one it is invited to: GitHub shares no verified email with Veriom, so an email account cannot be recognised and a second one is not made. sign_up may create the account.

Default"sign_up"
Value in"sign_up""sign_in"
next?Next
Length1 <= length <= 500
Default"/onboarding"
pending_installation_id?|null
turnstile_token*Turnstile Token
Length1 <= length <= 4096

Response Body

Successful Response

application/json
  1. response
authorization_url*Authorization Url
Example Request
curl -X POST 'https://api.veriom.ai/v1/github/auth/start' \  -H 'Content-Type: application/json' \  -d '{  "turnstile_token": "string"}'
Example Response
{  "authorization_url": "string"}